Skip to content

Query a contract method using ABI

POST
/v2/contract/abi/{id}/query

Query a contract method using a specific ABI id.

id
required
string

The ABI ID to use

object
isShared

Whether the ABI is shared

boolean
methodName
required

The method name

string
balanceOf
paramCollection
required

The parameters for the method

Array<string>
[
"0x123..."
]
chainId
required

The chain ID

number
1
contractAddress
required

The contract address

string
0x123...
walletId

The wallet ID to sign with

string
wallet-123

The query result

object
query
required

The query parameters

object
chainId
required

The chain ID

number
1
abiId
required

The ABI ID

string format: uuid
82c4fce1-d2c7-48cb-a647-6993dbe37819
contractAddress
required

The contract address

string
0x1234567890123456789012345678901234567890
methodName
required

The method name

string
balanceOf
paramCollection
required

The parameters for the method

Array<string>
[
"0x1234567890123456789012345678901234567890"
]
isShared
required

Whether the ABI is shared

boolean
response
required

The response from the contract method

object
{
"balance": "1000000000000000000"
}

Bad Request

Unauthorized

Forbidden

Not Found

Internal Server Error